Get the content of a mailing (email)
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages/{mailingId}/content
clientIdstringClient ID
mailingIdinteger<int64>Campaign mailing ID
campaignIdinteger<int64>Smart Campaign ID
sourcestring
Acceptstring<p>Controls which content type is used Available values : text/plain, text/htmlDefault value : text/plainDoes not work with the "Try it out" feature.</p>
200<p>The content of the mailing (in the indicated content type) was retrieved successfully.</p>
404No content could be found for the indicated content type. Ensure that the "Accept" parameter has the correct content type and the content exists.
406The content type is not supported. Ensure that the "Accept" parameter has the correct content type.
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages/{mailingId}/content?source=message' \
--header 'accept: application/json'